<template>
	<div id="nav" v-if="!isInLogin">
		<router-link to="/add">Home</router-link> |
		<router-link to="/to-do">To Do</router-link> |
		<router-link to="/done">Done Work</router-link> |
		<router-link to="/logout">Logout</router-link>
		<router-link to="/login">Login</router-link>
	</div>
	<div>
		<p v-if="isInLogin" class="mt-14 text-center">You need to login first!</p>
		<p v-else class="mt-1 my-5 text-center">Hai, {{ user }}!</p>
	</div>
	<div class="w-full">
		<router-view />
	</div>
</template>

<script>
export default {
	name: "App",
	computed: {
		isInLogin() {
			return this.$route.name === 'Login';
		},
		user() {
			return this.$store.state.user;
		}
	}
}
</script>

<style>
#app {
	font-family: Avenir, Helvetica, Arial, sans-serif;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	text-align: center;
	color: #2c3e50;
}

#nav {
	padding: 30px;
}

#nav a {
	font-weight: bold;
	color: #2c3e50;
}

#nav a.router-link-exact-active {
	color: #42b983;
}
</style>
